Skip to main content
GET
/
customers
/
{customerID}
/
wallets
/
{bridgeWalletID}
Get a Bridge Wallet
curl --request GET \
  --url https://api.bridge.xyz/v0/customers/{customerID}/wallets/{bridgeWalletID} \
  --header 'Api-Key: <api-key>'
{
  "id": "bw_123",
  "chain": "solana",
  "address": "9kV3ZMehKVyxfHKCcaDLye3P9HHw2MP4jtQa2gKBUmCs",
  "created_at": "2023-11-22T21:31:30.515Z",
  "updated_at": "2023-11-22T21:31:30.515Z",
  "balances": [
    {
      "balance": "100.25",
      "currency": "usdb",
      "chain": "solana",
      "contract_address": "ENL66PGy8d8j5KNqLtCcg4uidDUac5ibt45wbjH9REzB"
    }
  ]
}

Authorizations

Api-Key
string
header
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
bridgeWalletID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Response

A Bridge Wallet object response

chain
enum<string>
required

The chain of the Bridge Wallet

Available options:
base,
ethereum,
solana
id
string

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
address
string

The blockchain address of the Bridge Wallet

created_at
string<date-time>

Time of creation of the Bridge Wallet

updated_at
string<date-time>

Time of most recent update of the Bridge Wallet

balances
object[]